Authors & Acknowledgements
==========================

- Lead developer since 2020: [**Gerald E. Fux**](https://github.com/gefux) (<gerald.e.fux@gmail.com>)
- Co-lead developer since 2022: [**Piper Fowler-Wright**](https://github.com/piperfw)  (<pfw1@st-andrews.ac.uk>)

Major code contributions
------------------------

**Version 0.5.0**
- [Aidan Strathearn](https://github.com/aidanstrathearn): Gibbs state TEMPO [Chiu2022].
- [Eoin P. Butler](https://github.com/ebutler414), [Eoin O'Neill](https://github.com/eoin-dp-oneill), and [Paul R. Eastham](https://github.com/paulreastham): Process tensor gradients and optimization [Fux2021, Butler2024]
- [Ewen D.C. Lawrence](https://github.com/ewenlawrence) and [Peter Kirton](https://github.com/peterkirton/): Degeneracy trick in TEMPO and PT-TEMPO.
- [Roosmarijn de Wit](https://github.com/rmadw): Multi-time system correlations.
- [Piper Fowler-Wright](https://github.com/piperfw): TEMPO parameter tutorial and automatic estimation.

**Version 0.4.0**
- [Joel Beckles](https://github.com/JoelANB) and [Piper Fowler-Wright](https://github.com/piperfw): Extension of mean-field evolution to multiple types of system.

**Version 0.3.0**
- [Piper Fowler-Wright](https://github.com/piperfw): Open quantum systems with mean-field evolution [FowlerWright2022].

**Version 0.2.0**
- [Gerald E. Fux](https://github.com/gefux): Chains of open quantum systems [Fux2023].
- Dainius Kilda: Precursor code for chains of open quantum systems [Fux2023].
- [Dominic Gribben](https://github.com/djgribben): Bath dynamics extension [Gribben2022b].
- [Dominic Gribben](https://github.com/djgribben): Multiple environments extension [Gribben2022a].

**Version 0.1.2 (TimeEvolvingMPO)**
- [Gerald E. Fux](https://github.com/gefux): Improved memory cut-off [Strathearn2017].

**Version 0.1.0 (TimeEvolvingMPO)**
- [Gerald E. Fux](https://github.com/gefux): Implement process tensor TEMPO (API and backend) [Fux2021].
- [Gerald E. Fux](https://github.com/gefux): Implement core TEMPO functionality (API and backend) [Strathearn2018].
- [Gerald E. Fux](https://github.com/gefux): Setup Project (CI, API design, project planning, etc.).


Acknowledgements
----------------

**Scientific advisors:**
- Jonathan Keeling (*University of St Andrews*)
- Brendon W. Lovett (*University of St Andrews*)

**Other Collaborators:**
- Kristín Arnardóttir (*University of Southern Denmark*)
- [Erik Gauger](https://github.com/erikgauger) (*Heriot-Watt University*)
- [Thibaut Lacroix](https://github.com/tfmlaX) (*University of St Andrews*)

